<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Merklin 2006    | Upgraded to v7 2008 by Yxos
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."countdown_panel/infusion_db.php";

if (!checkrights("CNDN")) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."countdown_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."countdown_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."countdown_panel/locale/English.php";
}

if (isset($_GET['status'])) {
	if ($_GET['status'] == "saved") {	  // The settings were saved.	Display the message.
		opentable($locale['cd_011']);
			echo "<br><b><div align='center'>".$locale['cd_012']."</div></b><br>\n";
		closetable();
	}
}

if (isset($_POST['save_button'])) {                    // Save data and redirect to FUSION_SELF
	$result = dbquery("UPDATE ".DB_COUNTDOWN." SET "
		."cd_year='".$_POST['cd_year']."', "
		."cd_month='".$_POST['cd_month']."', "
		."cd_day='".$_POST['cd_day']."', "
		."cd_hour='".$_POST['cd_hour']."', "
		."cd_minute='".$_POST['cd_minute']."', "
		."cd_toptext='".$_POST['cd_toptext']."', "
		."cd_lowtext='".$_POST['cd_lowtext']."', "
		."cd_color='".$_POST['cd_color']."', "
		."cd_text1='".$_POST['cd_text1']."', "
		."cd_link1='".$_POST['cd_link1']."', "
		."cd_textlink1='".$_POST['cd_textlink1']."', "
		."cd_text2='".$_POST['cd_text2']."', "
		."cd_link2='".$_POST['cd_link2']."', "
		."cd_textlink2='".$_POST['cd_textlink2']."'");
	if ($result) {
		redirect(FUSION_SELF.$aidlink."&amp;status=saved");
	}
}

$result = dbquery("SELECT * FROM ".DB_COUNTDOWN);      //  Read Settings and store them in variables
$data = dbarray($result);
$year = $data['cd_year'];
$month = $data['cd_month'];
$day = $data['cd_day'];
$hour = $data['cd_hour'];
$minute = $data['cd_minute'];
$toptext = $data['cd_toptext'];
$lowtext = $data['cd_lowtext'];
$color = $data['cd_color'];
$version = $data['cd_version'];
$text1 = $data['cd_text1'];
$link1 = $data['cd_link1'];
$textlink1 = $data['cd_textlink1'];
$text2 = $data['cd_text2'];
$link2 = $data['cd_link2'];
$textlink2 = $data['cd_textlink2'];

$color_text = "<select name='cd_color' class='textbox'>\n"    // Build the color-combobox
."<option value='green'".($color == 'green' ? " selected" : "").">".$locale['cd_030']."</option>"
."<option value='l_blue'".($color == 'l_blue' ? " selected" : "").">".$locale['cd_037']."</option>"
."<option value='blue'".($color == 'blue' ? " selected" : "").">".$locale['cd_031']."</option>"
."<option value='d_blue'".($color == 'd_blue' ? " selected" : "").">".$locale['cd_038']."</option>"
."<option value='red'".($color == 'red' ? " selected" : "").">".$locale['cd_032']."</option>"
."<option value='white'".($color == 'white' ? " selected" : "").">".$locale['cd_033']."</option>"
."<option value='black'".($color == 'black' ? " selected" : "").">".$locale['cd_034']."</option>"
."<option value='grey'".($color == 'grey' ? " selected" : "").">".$locale['cd_035']."</option>"
."<option value='yellow'".($color == 'yellow' ? " selected" : "").">".$locale['cd_036']."</option>\n"
."</select>";

$sample_panel =                                              // Build the sample countdown_panel
"<object classid='clsid:d27cdb6e-ae6d-11cf-96b8-444553540000' codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0' width='115' height='60' id='countdown.swf' align='middle'>
<param name='allowScriptAccess' value='sameDomain'>
<param name='movie' value='".INFUSIONS."countdown_panel/swf/countdown_".$color.".swf'>
<param name='quality' value='high'>
<param name='bgcolor' value='#ffffff'>
<param name='wmode' value='transparent'>
<embed src='".INFUSIONS."countdown_panel/swf/countdown_".$color.".swf' quality='high' bgcolor='#ffffff' wmode='transparent' width='115' height='60' name='countdown.swf' align='middle' allowScriptAccess='sameDomain' type='application/x-shockwave-flash' pluginspage='http://www.macromedia.com/go/getflashplayer'>
</object>";

opentable($locale['cd_001']." - ".$locale['cd_ver']." ".$version);
	echo "
	<table width='100%'>
		<tr>
			<td valign='top' width='75%'>
				<form name='inputform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data'>\n
					<table>
						<tr><td align='left' valign='top'>".$locale['cd_002']."</td><td align='left' valign='top'>

						<select name='cd_year' class='textbox'>\n";
							for ($i=2008;$i<=2030;$i++) echo "<option".($year == $i ? " selected" : "").">$i</option>\n";
						echo "</select><select name='cd_month' class='textbox'>\n";
							for ($i=1;$i<=12;$i++) echo "<option".($month == $i ? " selected" : "").">$i</option>\n";
						echo "</select><select name='cd_day' class='textbox'>\n";
							for ($i=1;$i<=31;$i++) echo "<option".($day == $i ? " selected" : "").">$i</option>\n";
						echo "</select> <select name='cd_hour' class='textbox'>\n";
							for ($i=0;$i<=23;$i++) echo "<option".($hour == $i ? " selected" : "").">$i</option>\n";
						echo "</select><select name='cd_minute' class='textbox'>\n";
							for ($i=0;$i<=59;$i++) echo "<option".($minute == $i ? " selected" : "").">$i</option>\n";
						echo "</select>

						</td>
						</tr>";

						echo "
						<tr>
							<td align='left' valign='top'>".$locale['cd_005']."</td>
							<td align='left' valign='top'>$color_text</td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_020']."</td>
							<td align='left' valign='top'><input type='text' name='cd_toptext' value='".$toptext."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_021']."</td>
							<td align='left' valign='top'><input type='text' name='cd_lowtext' value='".$lowtext."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_022']."</td>
							<td align='left' valign='top'><input type='text' name='cd_text1' value='".$text1."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_023']."</td>
							<td align='left' valign='top'><input type='text' name='cd_link1' value='".$link1."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_024']."</td>
							<td align='left' valign='top'><input type='text' name='cd_textlink1' value='".$textlink1."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_025']."</td>
							<td align='left' valign='top'><input type='text' name='cd_text2' value='".$text2."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_026']."</td>
							<td align='left' valign='top'><input type='text' name='cd_link2' value='".$link2."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
							<td align='left' valign='top'>".$locale['cd_027']."</td>
							<td align='left' valign='top'><input type='text' name='cd_textlink2' value='".$textlink2."' maxlength='40' class='textbox' style='width:170px;'></td>
						</tr>
						<tr>
						<td align='center' colspan='2'><br><input type='submit' name='save_button' value='".$locale['cd_009']."' class='button'></td></tr>
					</table>
				</form>
			</td>
			<td valign='top' width='25%'>";
				@opentable($locale['cd_004']);
					echo "
					<table align='center' height='160'>
						<tr>
							<td align='center'>".$toptext."<br>".$sample_panel."<br>".$lowtext."<br>".$text1."<br>";
							if ($data['cd_textlink1']) {
							echo "<a href='".$link1."'>".$textlink1."</a>";
							} else {
							echo "<a href='".$link1."'>".$link1."</a>";
							}
							echo "<br>".$text2."<br>";
							if ($data['cd_textlink2']) {
							echo "<a href='".$link2."'>".$textlink2."</a>";
							} else {
							echo "<a href='".$link2."'>".$link2."</a>";
							}
							echo "</td>
						</tr>
						<tr>
							<td align='center'>".$locale['cd_006']." : <b>".$day.".".$month.".".$year." - ".$hour.":".$minute."</b></td>
						</tr>
					</table>";
				@closetable();
			echo "
			</td>
		</tr>
	</table>";
closetable();

require_once THEMES."templates/footer.php";
?>