<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Yxos
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."countdown_panel/infusion_db.php";

if (file_exists(INFUSIONS."countdown_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."countdown_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."countdown_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['cd_000'];
$inf_description = "A countdown in Flash";
$inf_version = "3.00.02";
$inf_developer = "Merklin; v7 by Yxos; fix Pereka2005";
$inf_email = "yxos@php-fusion.co.uk";
$inf_weburl = "http://php-fusion.dk";

$inf_folder = "countdown_panel"; // The folder in which the infusion resides.

$inf_newtable[1] = DB_COUNTDOWN." (
cd_year    CHAR(4) NOT NULL default '',
cd_month   CHAR(2) NOT NULL default '',
cd_day     CHAR(2) NOT NULL default '',
cd_hour    CHAR(2) NOT NULL default '',
cd_minute  CHAR(2) NOT NULL default '',
cd_toptext VARCHAR(50) NOT NULL default '',
cd_lowtext VARCHAR(50) NOT NULL default '',
cd_color   CHAR(8) NOT NULL default '',
cd_version VARCHAR(10) NOT NULL DEFAULT '',
cd_text1 VARCHAR(50) NOT NULL default '',
cd_link1 VARCHAR(50) NOT NULL default '',
cd_textlink1 VARCHAR(50) NOT NULL default '',
cd_text2 VARCHAR(50) NOT NULL default '',
cd_link2 VARCHAR(50) NOT NULL default '',
cd_textlink2 VARCHAR(50) NOT NULL default ''
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_COUNTDOWN." (
cd_year, cd_month, cd_day, cd_hour, cd_minute, cd_toptext, cd_lowtext, cd_color, cd_version, cd_text1, cd_link1, cd_textlink1, cd_text2, cd_link2, cd_textlink2) VALUES(
'2012', '01', '07', '12', '00', '".$locale['cd_020']."', '".$locale['cd_021']."', 'green', '".$inf_version."', '', '', '', '', '', '')";

$inf_droptable[1] = DB_COUNTDOWN;

$inf_adminpanel[1] = array(
	"title" => $locale['cd_001'],
	"image" => "image.gif",
	"panel" => "index.php",
	"rights" => "CNDN"
);

?>